diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index 64cff49c4d..f28dbce410 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -925,10 +925,15 @@ postgresql:///mydb?host=localhost&amp;port=5433
    </para>
 
    <para>
-    Percent-encoding may be used to include symbols with special meaning in any
-    of the <acronym>URI</acronym> parts, e.g. replace <literal>=</literal> with
-    <literal>%3D</literal>.
-
+    Connection <acronym>URI</acronym> need to be encoded with 
+    <ulink url="https://en.wikipedia.org/wiki/Percent-encoding">Percent-encoding</ulink> 
+    if it includes symbols with special meaning in any of its parts. 
+    For example:
+<programlisting>
+postgresql://postgres@localhost:5432/postgres?options=-c%20synchronous_commit%3Doff%20-c%20geqo%3Doff
+</programlisting>
+    where all <literal>=</literal> are replaced with <literal>%3D</literal> and 
+    space character with <literal>%20</literal>
    </para>
 
    <para>
